Skip to main content
GET
/
api
/
RecurringGiftPayment
/
{recurringGiftId}
Get Payments for a Recurring Gift
curl --request GET \
  --url https://api.virtuoussoftware.com/api/RecurringGiftPayment/{recurringGiftId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<integer>",
  "gift": {
    "id": "<integer>",
    "contactId": "<integer>",
    "giftDate": "<dateTime>",
    "amount": "<double>"
  },
  "expectedAmount": "<double>",
  "expectedPaymentDate": "<dateTime>",
  "dismissPaymentDate": "<dateTime>",
  "fulfillPaymentDate": "<dateTime>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

recurringGiftId
string
required

(Required) The recurring gift identifier.

Query Parameters

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10.

Response

OK

id
string
gift
object
expectedAmount
string
expectedPaymentDate
string
dismissPaymentDate
string
fulfillPaymentDate
string
Last modified on June 5, 2026